set( Elastix_DIR /usr/lib64/cmake/elastix )

# Add include directories needed to use SuperElastix
set( ELASTIX_INCLUDE_DIRS /usr/include/elastix/Common;/usr/include/elastix/Common/CostFunctions;/usr/include/elastix/Common/ImageSamplers;/usr/include/elastix/Common/LineSearchOptimizers;/usr/include/elastix/Common/ParameterFileParser;/usr/include/elastix/Common/Transforms;/usr/include/elastix/Common/xout;/usr/include/elastix/Common/MevisDicomTiff;/usr/include/elastix/Core;/usr/include/elastix/Core/Install;/usr/include/elastix/Core/Kernel;/usr/include/elastix/Core/ComponentBaseClasses;/usr/include/elastix/Core/Configuration;/usr/include/elastix/Core/Main;/usr/include/elastix/Components/FixedImagePyramids;/usr/include/elastix/Components/ImageSamplers;/usr/include/elastix/Components/Interpolators;/usr/include/elastix/Components/Metrics;/usr/include/elastix/Components/MovingImagePyramids;/usr/include/elastix/Components/Optimizers;/usr/include/elastix/Components/Registrations;/usr/include/elastix/Components/ResampleInterpolators;/usr/include/elastix/Components/Resamplers;/usr/include/elastix/Components/Transforms;/usr/include/elastix )

# Add list of Elastix library directories
set( ELASTIX_LIBRARY_DIRS /usr/lib64 )

# Add list of SuperElastix libraries
set( ELASTIX_LIBRARIES elastix;transformix )

# The location of the Elastix use-file
set( ELASTIX_USE_FILE "${Elastix_DIR}/UseElastix.cmake" )

set( ELASTIX_CONFIG_TARGETS_FILE "${Elastix_DIR}/ElastixTargets.cmake" )

# Set some variables that the user might want to use
set( ELASTIX_BUILD_EXECUTABLE OFF )
set( ELASTIX_USE_OPENMP ON )
set( ELASTIX_USE_OPENCL OFF )
set( ELASTIX_USE_MEVISDICOMTIFF OFF )
set( ELASTIX_DOX_DIR /builddir/build/BUILD/elastix-4.9.0/dox )
set( ELASTIX_HELP_DIR /builddir/build/BUILD/elastix-4.9.0/help )

# Maintain backwards compatibility by also exporting old-style target information
set( ELASTIX_ALL_COMPONENT_LIBS FixedGenericPyramid;FixedRecursivePyramid;FixedSmoothingPyramid;FullSampler;GridSampler;MultiInputRandomCoordinateSampler;RandomSampler;RandomCoordinateSampler;RandomSamplerSparseMask;BSplineInterpolator;LinearInterpolator;ReducedDimensionBSplineInterpolator;AdvancedMattesMutualInformationMetric;AdvancedMeanSquaresMetric;AdvancedNormalizedCorrelationMetric;TransformBendingEnergyPenalty;CorrespondingPointsEuclideanDistanceMetric;DistancePreservingRigidityPenalty;KNNGraphAlphaMutualInformationMetric;NormalizedMutualInformationMetric;PCAMetric;PCAMetric2;TransformRigidityPenalty;SumOfPairwiseCorrelationCoefficientsMetric;SumSquaredTissueVolumeDifferenceMetric;VarianceOverLastDimensionMetric;MovingGenericPyramid;MovingRecursivePyramid;MovingSmoothingPyramid;AdaptiveStochasticGradientDescent;ConjugateGradient;FiniteDifferenceGradientDescent;FullSearch;Powell;QuasiNewtonLBFGS;RegularStepGradientDescent;StandardGradientDescent;MultiMetricMultiResolutionRegistration;MultiResolutionRegistration;MultiResolutionRegistrationWithFeatures;BSplineResampleInterpolator;ReducedDimensionBSplineResampleInterpolator;MyStandardResampler;AdvancedAffineTransformElastix;AdvancedBSplineTransform;AffineLogStackTransform;BSplineStackTransform;DeformationFieldTransform;EulerStackTransform;EulerTransformElastix;RecursiveBSplineTransform;SplineKernelTransform;TranslationStackTransform;TranslationTransformElastix )
set( elxLIBRARY_DEPENDS_FILE "${Elastix_DIR}/elxLibraryDepends.cmake" )
